Index: source/qikea/qikea.pro
===================================================================
--- source/qikea/qikea.pro	(révision 710)
+++ source/qikea/qikea.pro	(copie de travail)
@@ -28,6 +28,9 @@
 RESOURCES =		\
 	ikea.qrc
 
+TRANSLATIONS = \
+	qikea_fr.ts
+
 unix {
 	UI_DIR = .ui
 	MOC_DIR = .moc
Index: source/qikea/main.cpp
===================================================================
--- source/qikea/main.cpp	(révision 710)
+++ source/qikea/main.cpp	(copie de travail)
@@ -1,4 +1,4 @@
-
+	
 /*
  * Copyright (c) 2007
  *      Shrew Soft Inc.  All rights reserved.
@@ -39,6 +39,8 @@
  *
  */
 
+#include <qtranslator.h>
+#include <qlocale.h>
 #include "qikea.h"
 
 QIKEA qikea;
@@ -49,6 +51,14 @@
 
 	QApplication a( argc, argv );
 
+	//initialize language !
+ 
+	QString locale = QLocale::system().name();
+
+	QTranslator translator;
+	translator.load(QString("qikea_") + locale);
+	a.installTranslator(&translator);
+
 	// iniitialize our root window
 
 	qikeaRoot r;
Index: source/qikea/qikea_fr.ts
===================================================================
--- source/qikea/qikea_fr.ts	(révision 0)
+++ source/qikea/qikea_fr.ts	(révision 0)
@@ -0,0 +1,1123 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="fr_FR">
+<context>
+    <name>qikeaAbout</name>
+    <message>
+        <location filename="about.ui" line="28"/>
+        <source>Dialog</source>
+        <translation>A propos</translation>
+    </message>
+    <message>
+        <location filename="about.ui" line="79"/>
+        <source>License </source>
+        <translation>License </translation>
+    </message>
+    <message>
+        <location filename="about.ui" line="99"/>
+        <source>Ver 2.0.0</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="about.ui" line="108"/>
+        <source>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
+&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
+p, li { white-space: pre-wrap; }
+&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:&apos;Sans Serif&apos;; font-size:9pt; font-weight:400; font-style:normal;&quot;&gt;
+&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Copywright (C) 2008&lt;/p&gt;
+&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;hrew Soft Inc.&lt;/p&gt;
+&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;All rights reserved.&lt;/p&gt;
+&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;/p&gt;
+&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:&lt;/p&gt;
+&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;/p&gt;
+&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;1) Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.&lt;/p&gt;
+&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;/p&gt;
+&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;2) Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.&lt;/p&gt;
+&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;/p&gt;
+&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;3) Redistributions in any form must be accompanied by information on how to obtain complete source code for the software and any accompanying software that uses the software.  The source code must either be included in the distribution or be available for no more than the cost of distribution plus a nominal fee, and must be freely redistributable under reasonable conditions.  For an executable file, complete source code means the source code for all modules it contains.  It does not include source code for modules or files that typically accompany the major components of the operating system on which the executable file runs.&lt;/p&gt;
+&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;/p&gt;
+&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;THIS SOFTWARE IS PROVIDED BY SHREW SOFT INC ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED.  IN NO EVENT SHALL SHREW SOFT INC BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="about.ui" line="146"/>
+        <source>&amp;Ok</source>
+        <translation>&amp;Ok</translation>
+    </message>
+</context>
+<context>
+    <name>qikeaConflict</name>
+    <message>
+        <location filename="conflict.ui" line="13"/>
+        <source>Naming Conflict Detected</source>
+        <translation>Conflit de nom detecté</translation>
+    </message>
+    <message>
+        <location filename="conflict.ui" line="23"/>
+        <source>A file with the same name already exists. Please select overwrite or enter a different name to continue.</source>
+        <translation>Un fichier avec le même nom existe déjà. Merci d&apos;écraser le fichier ou entrer un nom différent pour continuer.</translation>
+    </message>
+    <message>
+        <location filename="conflict.ui" line="54"/>
+        <source>&amp;Overwrite</source>
+        <translation>&amp;Ecraser</translation>
+    </message>
+    <message>
+        <location filename="conflict.ui" line="57"/>
+        <source>Alt+O</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="conflict.ui" line="70"/>
+        <source>&amp;Continue</source>
+        <translation>&amp;Continuer</translation>
+    </message>
+    <message>
+        <location filename="conflict.ui" line="73"/>
+        <source>Alt+C</source>
+        <translation></translation>
+    </message>
+</context>
+<context>
+    <name>qikeaRoot</name>
+    <message>
+        <location filename="root.ui" line="14"/>
+        <source>Shrew Soft VPN Access Manager</source>
+        <translation>Shrew Soft Gestionnaire d&apos;accès VPN</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="63"/>
+        <source>&amp;File</source>
+        <translation>&amp;Fichier</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="74"/>
+        <source>&amp;Edit</source>
+        <translation>&amp;Edition</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="84"/>
+        <source>&amp;Help</source>
+        <translation>&amp;Aide</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="90"/>
+        <source>&amp;View</source>
+        <translation>&amp;Voir</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="106"/>
+        <source>toolBar</source>
+        <translation>barre d&apos;outils</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="141"/>
+        <source>&amp;Connect</source>
+        <translation>&amp;Connexion</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="144"/>
+        <source>Connect</source>
+        <translation>Connexion</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="147"/>
+        <source>Connect using this site configuration</source>
+        <translation>Se connecter en utilisant ce site de configuration</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="156"/>
+        <source>&amp;Add</source>
+        <translation>&amp;Ajouter</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="159"/>
+        <source>Add</source>
+        <translation>Ajouter</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="162"/>
+        <source>Add a new site configuration</source>
+        <translation>Ajouter un nouveau site de configuration</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="171"/>
+        <source>&amp;Delete</source>
+        <translation>&amp;Supprimer</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="174"/>
+        <source>Delete</source>
+        <translation>Supprimer</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="177"/>
+        <source>Delete this site configuration</source>
+        <translation>Supprimer le site de configuration</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="186"/>
+        <source>&amp;Modify</source>
+        <translation>&amp;Modifier</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="189"/>
+        <source>Modify</source>
+        <translation>Modifier</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="192"/>
+        <source>Modify this site configuration</source>
+        <translation>Modifier ce site de configuration</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="197"/>
+        <source>Import</source>
+        <translation>Importer</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="202"/>
+        <source>Export</source>
+        <translation>Exporter</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="207"/>
+        <source>Exit</source>
+        <translation>Quitter</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="212"/>
+        <source>Rename</source>
+        <translation>Renommer</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="217"/>
+        <source>About</source>
+        <translation>A Propos</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="222"/>
+        <location filename="root.ui" line="233"/>
+        <source>Large Icons</source>
+        <translation>Grandes Icones</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="236"/>
+        <source>&amp;Large Icons</source>
+        <translation>&amp;Icônes</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="239"/>
+        <source>Large Icon View</source>
+        <translation>Vue Icônes</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="247"/>
+        <source>Small Icons</source>
+        <translation>Miniatures</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="250"/>
+        <source>&amp;Small Icons</source>
+        <translation>&amp;Miniatures</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="253"/>
+        <source>Small Icon View</source>
+        <translation>Vue Miniatures</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="258"/>
+        <source>Details</source>
+        <translation>Détails</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="261"/>
+        <source>&amp;Details</source>
+        <translation>&amp;Details</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="264"/>
+        <source>Detailed View</source>
+        <translation>Vues Détaillées</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="275"/>
+        <source>Toolbar</source>
+        <translation>Barre d&apos;outils</translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="278"/>
+        <source>&amp;Toolbar</source>
+        <translation>&amp;Barres d&apos;outils</translation>
+    </message>
+</context>
+<context>
+    <name>qikeaSite</name>
+    <message>
+        <location filename="site.ui" line="23"/>
+        <source>VPN Site Configuration</source>
+        <translation>Configuration de site VPN</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="52"/>
+        <source>General</source>
+        <translation>Général</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="58"/>
+        <source>Remote Host</source>
+        <translation>Hôte distant</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="68"/>
+        <source>Host Name or IP Address</source>
+        <translation>Hôte distant ou Adresse IP</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="92"/>
+        <source>Port</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="114"/>
+        <source>500</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="130"/>
+        <source>Auto Configuration</source>
+        <translation>Configuration Auto</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="141"/>
+        <location filename="site.ui" line="2008"/>
+        <location filename="site.ui" line="2061"/>
+        <source>disabled</source>
+        <translation>désactiver</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="146"/>
+        <source>ike config pull</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="151"/>
+        <source>ike config push</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="156"/>
+        <source>dhcp over ipsec</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="169"/>
+        <source>Local Host</source>
+        <translation>Reseau Local</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="177"/>
+        <source>Address Method</source>
+        <translation>Methode d&apos;adressage IP</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="188"/>
+        <source>Use a virtual adpter and assigned address</source>
+        <translation>Utiliser une carte réseau virtuelle et assigner une adresse IP</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="193"/>
+        <source>Use a virtual adpter and random address</source>
+        <translation>Utiliser une carte réseau virtuelle et une adresse automatique</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="198"/>
+        <source>Use an existing adapter and current address</source>
+        <translation>Utiliser une carte réseau existante et son adresse IP actuelle</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="223"/>
+        <source>MTU</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="239"/>
+        <source>1380</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="271"/>
+        <location filename="site.ui" line="740"/>
+        <location filename="site.ui" line="896"/>
+        <source>Obtain Automatically</source>
+        <translation>Obtenir Automatiquement</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="289"/>
+        <source>Address</source>
+        <translation>Adresse</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="311"/>
+        <location filename="site.ui" line="356"/>
+        <location filename="site.ui" line="773"/>
+        <location filename="site.ui" line="809"/>
+        <location filename="site.ui" line="845"/>
+        <location filename="site.ui" line="881"/>
+        <source>009 . 009 . 009 . 009; </source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="314"/>
+        <location filename="site.ui" line="359"/>
+        <location filename="site.ui" line="776"/>
+        <location filename="site.ui" line="812"/>
+        <location filename="site.ui" line="848"/>
+        <location filename="site.ui" line="884"/>
+        <source>0 . 0 . 0 . 0</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="334"/>
+        <source>Netmask</source>
+        <translation>Masque</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="392"/>
+        <source>Client</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="398"/>
+        <source>Firewall Options</source>
+        <translation>Options de Pare-Feu</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="409"/>
+        <source>NAT Traversal</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="426"/>
+        <location filename="site.ui" line="590"/>
+        <source>disable</source>
+        <translation>Désactiver</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="431"/>
+        <location filename="site.ui" line="595"/>
+        <source>enable</source>
+        <translation>Activer</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="436"/>
+        <source>force-draft</source>
+        <translation>Forcer brouillon</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="441"/>
+        <source>force-rfc</source>
+        <translation>Forcer RFC</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="446"/>
+        <source>force-cisco-udp</source>
+        <translation>Forcer cisco UDP</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="461"/>
+        <source>NAT Traversal Port</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="488"/>
+        <source>4500</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="514"/>
+        <source>Keep-Alive Packet Rate</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="541"/>
+        <source>15</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="560"/>
+        <location filename="site.ui" line="1680"/>
+        <location filename="site.ui" line="2112"/>
+        <source>Secs</source>
+        <translation>Secondes</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="576"/>
+        <source>IKE Fragmentation</source>
+        <translation>Fragmentation IKE</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="600"/>
+        <source>force</source>
+        <translation>Forcer</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="612"/>
+        <source>Maximum Packet Size</source>
+        <translation>Taille Maximum des Paquets</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="639"/>
+        <source>540</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="652"/>
+        <source>Bytes</source>
+        <translation>Octets</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="669"/>
+        <source>Other Options</source>
+        <translation>Autres Options</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="675"/>
+        <source>Enable Dead Peer Detection</source>
+        <translation>Activer DPD (Dead Peer Detection)</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="685"/>
+        <source>Enable IKSAMP Failure Notifications</source>
+        <translation>Activer les notifications de défaillances ISAKMP</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="695"/>
+        <source>Enable Client Login Banner</source>
+        <translation>Activer la bannière  de connexion cliente</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="722"/>
+        <source>NameResolution</source>
+        <translation>Résolution nom</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="730"/>
+        <source>Enable DNS</source>
+        <translation>Activer DNS</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="754"/>
+        <source>Server Address #1</source>
+        <translation>Serveur DNS #1</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="790"/>
+        <source>Server Address #2</source>
+        <translation>Serveur DNS #2</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="826"/>
+        <source>Server Address #3</source>
+        <translation>Serveur DNS #3</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="862"/>
+        <source>Server Address #4</source>
+        <translation>Serveur DNS #4</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="908"/>
+        <source>DNS Suffix</source>
+        <translation>Suffixe DNS</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="947"/>
+        <source>Authentication</source>
+        <translation>Authentification</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="955"/>
+        <source>Authentication Method</source>
+        <translation>Methode d&apos;Authentification</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="966"/>
+        <source>Hybrid RSA + XAuth</source>
+        <translation>Hybride RSA + XAuth</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="971"/>
+        <source>Hybrid GRP + XAuth</source>
+        <translation>Hybride GRP + XAuth</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="976"/>
+        <source>Mutual RSA + XAuth</source>
+        <translation>Mutual RSA + XAuth</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="981"/>
+        <source>Mutual PSK + XAuth</source>
+        <translation>Mutual PSK + XAuth</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="986"/>
+        <source>Mutual RSA</source>
+        <translation>Mutual RSA</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="991"/>
+        <source>Mutual PSK</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1005"/>
+        <source>Local Identity</source>
+        <translation>Identité Local</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1011"/>
+        <location filename="site.ui" line="1097"/>
+        <source>Identification Type</source>
+        <translation>Type d&apos;Identification</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1022"/>
+        <location filename="site.ui" line="1113"/>
+        <source>ASN.1 Distinguished Name</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1027"/>
+        <location filename="site.ui" line="1118"/>
+        <source>Fully Qualified Domain Name</source>
+        <translation>FQDN (Nom de Domaine)</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1032"/>
+        <location filename="site.ui" line="1123"/>
+        <source>User Fully Qualified Domain Name</source>
+        <translation>UFQDN (E-Mail)</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1037"/>
+        <location filename="site.ui" line="1128"/>
+        <source>IP Address</source>
+        <translation>Adresse IP</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1042"/>
+        <location filename="site.ui" line="1133"/>
+        <source>Key Identifier</source>
+        <translation>Clé d&apos;identification</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1050"/>
+        <location filename="site.ui" line="1141"/>
+        <source>Identification Data</source>
+        <translation>Donnée d&apos;identification</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1067"/>
+        <source>Obtain Identification Automatically</source>
+        <translation>Obtenir l&apos;identitié automatiquement</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1091"/>
+        <source>Remote Identity</source>
+        <translation>Identité distante</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1108"/>
+        <source>Any</source>
+        <translation>Tout</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1158"/>
+        <source>Identification Option</source>
+        <translation>Option d&apos;identité</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1182"/>
+        <source>Credentials</source>
+        <translation>Certificat</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1188"/>
+        <source>Server Certificate Authority File</source>
+        <translation>Autorité de Certification du Serveur</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1203"/>
+        <location filename="site.ui" line="1227"/>
+        <location filename="site.ui" line="1251"/>
+        <source>...</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1212"/>
+        <source>Client Certificate File</source>
+        <translation>Certificat Client</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1236"/>
+        <source>Client Private Key File</source>
+        <translation>Clé privée du Client</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1260"/>
+        <source>Pre Shared Key</source>
+        <translation>Clé pré-partagée</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1308"/>
+        <source>Phase 1</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1314"/>
+        <location filename="site.ui" line="1783"/>
+        <source>Proposal Parameters</source>
+        <translation>Proposition de paramètres</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1328"/>
+        <source>Exchange Type</source>
+        <translation>Type de Négociation</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1339"/>
+        <source>aggressive</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1344"/>
+        <source>main</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1362"/>
+        <source>DH Exchange</source>
+        <translation>Groupe de Clés</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1373"/>
+        <location filename="site.ui" line="1427"/>
+        <location filename="site.ui" line="1486"/>
+        <location filename="site.ui" line="1612"/>
+        <location filename="site.ui" line="1802"/>
+        <location filename="site.ui" line="1855"/>
+        <location filename="site.ui" line="1975"/>
+        <location filename="site.ui" line="2013"/>
+        <location filename="site.ui" line="2218"/>
+        <source>auto</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1378"/>
+        <location filename="site.ui" line="2018"/>
+        <source>group 1</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1383"/>
+        <location filename="site.ui" line="2023"/>
+        <source>group 2</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1388"/>
+        <location filename="site.ui" line="2028"/>
+        <source>group 5</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1393"/>
+        <location filename="site.ui" line="2033"/>
+        <source>group 14</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1398"/>
+        <location filename="site.ui" line="2038"/>
+        <source>group 15</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1416"/>
+        <source>Cipher Algorithm</source>
+        <translation>Algorithme de chiffrement</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1432"/>
+        <location filename="site.ui" line="1807"/>
+        <source>aes</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1437"/>
+        <location filename="site.ui" line="1812"/>
+        <source>blowfish</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1442"/>
+        <location filename="site.ui" line="1817"/>
+        <source>3des</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1447"/>
+        <location filename="site.ui" line="1822"/>
+        <source>des</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1452"/>
+        <location filename="site.ui" line="1827"/>
+        <source>cast</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1470"/>
+        <source>Cipher Key Length</source>
+        <translation>Chiffrement</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1491"/>
+        <location filename="site.ui" line="1860"/>
+        <source>128</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1496"/>
+        <location filename="site.ui" line="1865"/>
+        <source>136</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1501"/>
+        <location filename="site.ui" line="1870"/>
+        <source>144</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1506"/>
+        <location filename="site.ui" line="1875"/>
+        <source>152</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1511"/>
+        <location filename="site.ui" line="1880"/>
+        <source>160</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1516"/>
+        <location filename="site.ui" line="1885"/>
+        <source>168</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1521"/>
+        <location filename="site.ui" line="1890"/>
+        <source>176</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1526"/>
+        <location filename="site.ui" line="1895"/>
+        <source>184</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1531"/>
+        <location filename="site.ui" line="1900"/>
+        <source>192</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1536"/>
+        <location filename="site.ui" line="1905"/>
+        <source>200</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1541"/>
+        <location filename="site.ui" line="1910"/>
+        <source>208</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1546"/>
+        <location filename="site.ui" line="1915"/>
+        <source>216</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1551"/>
+        <location filename="site.ui" line="1920"/>
+        <source>224</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1556"/>
+        <location filename="site.ui" line="1925"/>
+        <source>232</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1561"/>
+        <location filename="site.ui" line="1930"/>
+        <source>240</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1566"/>
+        <location filename="site.ui" line="1935"/>
+        <source>248</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1571"/>
+        <location filename="site.ui" line="1940"/>
+        <source>256</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1579"/>
+        <location filename="site.ui" line="1948"/>
+        <source>Bits</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1601"/>
+        <source>Hash Algorithm</source>
+        <translation>Algorithme de Hashage</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1617"/>
+        <location filename="site.ui" line="1980"/>
+        <source>sha1</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1622"/>
+        <location filename="site.ui" line="1985"/>
+        <source>md5</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1640"/>
+        <location filename="site.ui" line="2078"/>
+        <source>Key Life Time Limit</source>
+        <translation>Durée de vie SA</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1664"/>
+        <source>86400</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1702"/>
+        <location filename="site.ui" line="2128"/>
+        <source>Key Life Data Limit</source>
+        <translation>Durée de vie Données</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1726"/>
+        <location filename="site.ui" line="2152"/>
+        <source>0</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1736"/>
+        <location filename="site.ui" line="2162"/>
+        <source>KBs</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1753"/>
+        <source>Enable Check Point Compatible Vendor ID</source>
+        <translation>Activer la compatibilité Check Point (Vendor ID)</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1777"/>
+        <source>Phase 2</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1791"/>
+        <source>Transform Algorithm</source>
+        <translation>Algorithme de Transformation</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1839"/>
+        <source>Transform Key Length</source>
+        <translation>Longueur de Clé</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1964"/>
+        <source>HMAC Algorithm</source>
+        <translation>Algorithme de Hashage</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="1997"/>
+        <source>PFS Exchange</source>
+        <translation>Groupe de Clés PFS</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2050"/>
+        <source>Compression Algorithm</source>
+        <translation>Algorithme de Compression</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2066"/>
+        <source>deflate</source>
+        <translation>Compresser</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2102"/>
+        <source>3600</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2193"/>
+        <source>Policy</source>
+        <translation>Politique</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2199"/>
+        <source>IPsec Policy Configuration</source>
+        <translation>Configuration de la Politique IPSec</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2207"/>
+        <source>Policy Generation Level</source>
+        <translation>Niveau de la production de la politique</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2223"/>
+        <source>require</source>
+        <translation>Exiger</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2228"/>
+        <source>unique</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2233"/>
+        <source>shared</source>
+        <translation>Partagée</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2243"/>
+        <source>Maintain Persistent Security Associations</source>
+        <translation>Maintenir persistante la SA</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2256"/>
+        <source>Obtain Topology Automatically or Tunnel All</source>
+        <translation>Obtenir la Topologie Automatiquement ou Tunnel Complet</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2270"/>
+        <source>Remote Network Resources</source>
+        <translation>Ressource Réseau Distante</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2289"/>
+        <source>Add</source>
+        <translation>Ajouter</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2305"/>
+        <source>Modify</source>
+        <translation>Modifier</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2321"/>
+        <source>Delete</source>
+        <translation>Supprimer</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2355"/>
+        <source>&amp;Save</source>
+        <translation>&amp;Sauvegarder</translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2358"/>
+        <source>Alt+S</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="site.ui" line="2371"/>
+        <source>&amp;Cancel</source>
+        <translation>&amp;Annuler</translation>
+    </message>
+</context>
+<context>
+    <name>qikeaTopology</name>
+    <message>
+        <location filename="topology.ui" line="13"/>
+        <source>Tolology Entry</source>
+        <translation>Topologie</translation>
+    </message>
+    <message>
+        <location filename="topology.ui" line="25"/>
+        <source>Type</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="topology.ui" line="36"/>
+        <source>Include</source>
+        <translation>Inclure</translation>
+    </message>
+    <message>
+        <location filename="topology.ui" line="41"/>
+        <source>Exclude</source>
+        <translation>Exclure</translation>
+    </message>
+    <message>
+        <location filename="topology.ui" line="53"/>
+        <source>Address</source>
+        <translation>Adresse</translation>
+    </message>
+    <message>
+        <location filename="topology.ui" line="69"/>
+        <location filename="topology.ui" line="102"/>
+        <source>009 . 009 . 009 . 009; </source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="topology.ui" line="72"/>
+        <location filename="topology.ui" line="105"/>
+        <source>0 . 0 . 0 . 0</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="topology.ui" line="86"/>
+        <source>Netmask</source>
+        <translation>Masque</translation>
+    </message>
+    <message>
+        <location filename="topology.ui" line="148"/>
+        <source>&amp;Ok</source>
+        <translation>&amp;OK</translation>
+    </message>
+    <message>
+        <location filename="topology.ui" line="151"/>
+        <source>Alt+O</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="topology.ui" line="164"/>
+        <source>&amp;Cancel</source>
+        <translation>&amp;Annuler</translation>
+    </message>
+</context>
+</TS>

Modification de propriétés sur source/qikea/qikea_fr.ts
___________________________________________________________________
Ajouté : svn:executable
   + *

Index: source/qikec/main.cpp
===================================================================
--- source/qikec/main.cpp	(révision 710)
+++ source/qikec/main.cpp	(copie de travail)
@@ -39,6 +39,8 @@
  *
  */
 
+#include <qtranslator.h>
+#include <qlocale.h>
 #include "qikec.h"
 
 QIKEC qikec;
@@ -51,6 +53,14 @@
 
 	QApplication a( argc, argv );
 
+	//initialize language !
+ 
+	QString locale = QLocale::system().name();
+
+	QTranslator translator;
+	translator.load(QString("qikec_") + locale);
+	a.installTranslator(&translator);
+
 	// create our root window
 
 	qikecRoot r;
Index: source/qikec/qikec_fr.ts
===================================================================
--- source/qikec/qikec_fr.ts	(révision 0)
+++ source/qikec/qikec_fr.ts	(révision 0)
@@ -0,0 +1,137 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="fr_FR">
+<context>
+    <name>ikecBanner</name>
+    <message>
+        <location filename="banner.ui" line="13"/>
+        <source>Login Banner</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="banner.ui" line="58"/>
+        <source>&amp;OK</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+<context>
+    <name>ikecFilePass</name>
+    <message>
+        <location filename="filepass.ui" line="16"/>
+        <source>File Password</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="filepass.ui" line="31"/>
+        <source>Please enter the file password</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="filepass.ui" line="78"/>
+        <source>&amp;OK</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="filepass.ui" line="106"/>
+        <source>&amp;Cancel</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+<context>
+    <name>ikecRoot</name>
+    <message>
+        <location filename="root.ui" line="13"/>
+        <source>Shrew Soft VPN Connect</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="27"/>
+        <location filename="root.ui" line="112"/>
+        <source>Connect</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="40"/>
+        <source>Credentials</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="46"/>
+        <source>Username</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="59"/>
+        <source>Password</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="125"/>
+        <source>Exit</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="135"/>
+        <source>Network</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="141"/>
+        <location filename="root.ui" line="266"/>
+        <source>GroupBox</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="177"/>
+        <source>Established  -</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="190"/>
+        <location filename="root.ui" line="213"/>
+        <location filename="root.ui" line="236"/>
+        <source>0</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="200"/>
+        <source>Expired  -</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="223"/>
+        <source>Failed  -</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="272"/>
+        <source>Status  -</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="285"/>
+        <source>Disconnected</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="295"/>
+        <source>Remote Host  -</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="318"/>
+        <source>Transport Used  -</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="341"/>
+        <source>IKE Fragmentation  -</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="root.ui" line="364"/>
+        <source>Dead Peer Detection  -</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+</TS>
Index: source/qikec/qikec.pro
===================================================================
--- source/qikec/qikec.pro	(révision 710)
+++ source/qikec/qikec.pro	(copie de travail)
@@ -22,6 +22,9 @@
 
 RESOUCES =		\
 	ikec.qrc
+
+TRANSLATIONS = \
+	qikec_fr.ts
 	
 unix {
         UI_DIR = .ui
